lightdm-vala_1.26.0-4_i386.deb


Advertisement

Description

lightdm-vala - simple display manager (Vala files)

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename lightdm-vala_1.26.0-4_i386.deb
Package name lightdm-vala
Package version 1.26.0
Package release 4
Package architecture i386
Package type deb
Category x11
Homepage https://launchpad.net/lightdm
License -
Maintainer Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Download size 27.65 KB
Installed size 47.00 KB
This package contains the Vala files for the lightdm display manager

Alternatives

Package Version Architecture Repository
lightdm-vala_1.26.0-4_amd64.deb 1.26.0 amd64 Debian Main
lightdm-vala - - -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package lightdm-vala_1.26.0-4_i386.deb
Source Package lightdm

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lightdm-vala deb package:
    # sudo apt-get install lightdm-vala

Files

Path
/usr/share/doc/lightdm-vala/changelog.Debian.gz
/usr/share/doc/lightdm-vala/changelog.gz
/usr/share/doc/lightdm-vala/copyright
/usr/share/vala/vapi/liblightdm-gobject-1.deps
/usr/share/vala/vapi/liblightdm-gobject-1.vapi

Changelog

2019-02-22 - Yves-Alexis Perez <corsac@debian.org>
lightdm (1.26.0-4) unstable; urgency=medium
* d/control: replace libpam-systemd dep by logind (closes: #922160)
* d/control: update standards version to 4.3.0
* d/control: fix capitalization of GObject
* d/patches: import patches in gbp pq
2018-10-07 - Yves-Alexis Perez <corsac@debian.org>
lightdm (1.26.0-3) unstable; urgency=medium
[ Cody Garver ]
* Backport upstream hide systemd dynamic users fix
[ Yves-Alexis Perez ]
* d/control: stop duplicating section when it's useless
* d/control: update standards version to 4.2.1
* d/control: fix casing for Gobject
* d/liblightdm-gobject-1-0.lintian-overrides dropped, now useless
2018-08-28 - Yves-Alexis Perez <corsac@debian.org>
lightdm (1.26.0-2) unstable; urgency=medium
* d/gbp.conf added, following DEP-14
* Upload to unstable.
2018-05-21 - Yves-Alexis Perez <corsac@debian.org>
lightdm (1.26.0-1) experimental; urgency=medium
* Moved the package to git on salsa.debian.org
* Updated the maintainer address to debian-xfce@lists.debian.org
* d/control: drop Emanuele and Simon from uploaders, thanks to them!
* d/watch: track 1.26 branch (maintained until 2023)
* d/watch updated to track 1.26 branch on github
* New upstream version 1.26.0
* d/p/01_set-default-path refreshed for new release
* d/p/06_change-user-dirs refreshed for new upstream
* d/p/08_reset-SIGPIPE-before-exec refreshed for new release
* install polkit, DBus and AccountsService file in lightdm package
* d/rules: migrate to dh_missing
* liblightdm-gobject-1-0 symbols file updated for new release
* liblightdm-qt-3-0.symbols: merge generic Qt symbols
* liblightdm-qt-3-0.symbols: sort generic symbols and mark some as optional
* liblightdm-qt-3-0.symbols: reorder symbols
* debian/liblightdm-qt-3-0.symbols:
- add new symbols in 1.26
- fix syntax
- remove private callback symbols which shouldn't be exported
- remove hidden/non-exported symbols
* d/p/03_liblightdm-qt3-add-header-visibility added, fix symbol visibility
* d/rules: mark symbols hidden by default
* d/compat bumped to 10
* d/control: update dh build-dep to 10 and drop obsolete dh-systemd
* d/rules: drop systemd addon and parallel (useless with compat 10)
* d/control: add build-dep on yelp-tools
* lightdm.postinst: don't recursively chown /var/lib/lightdm
* d/liblightdm-qt5-3-0.symbols:
- remove symbols marked as private
- add symbols introduced in 1.26
2017-09-21 - Yves-Alexis Perez <corsac@debian.org>
lightdm (1.18.3-5) experimental; urgency=medium
* debian/control:
- add liblightdm-qt5-3-0 and liblightdm-qt5-3-dev (packaging bits imported
from Ubuntu)                                                closes: #871840
- add build-dep on qtbase5-dev
- move libraries to section libs
- update standards version to 4.1.0
- replace dh-systemd build-dep by a newer version of debhelper
* debian/liblightdm-qt5-3-0.install and debian/liblightdm-qt5-3-dev.install
added to ship relevant files to Qt5 library and development packages
* debian/liblightdm-qt-dev.install:
- narrow installation path to only cover Qt4 library.
* debian/rules:
- explicitly enable qt5 library
2017-07-08 - Yves-Alexis Perez <corsac@debian.org>
lightdm (1.18.3-4) unstable; urgency=medium
* debian/control:
- drop build-dep on libck-connector-dev and libdbus-glib-1-dev, thanks
Michael Biebl.                                            closes: #865037
- add depends on libx11-dev and libglib2.0-dev to liblightdm-gobject-dev
and drop libdbus-glib-1-dev, thanks again Michael.
2017-06-18 - Yves-Alexis Perez <corsac@debian.org>
lightdm (1.18.3-3) unstable; urgency=medium
* debian/control:
- replace libgcrypt11-dev by libgcrypt20-dev.               closes: #864121
- update standards version to 4.0.0.
- move gir1.2-lightdm-1 to section introspection.
- add dependency on gir1.2-lightdm-1 to liblightdm-gobject-dev. 
- add dependency on ${gir:Depends} to gir1.2-lightdm-1.

See Also

Package Description
lightdm_1.26.0-4_i386.deb simple display manager
lightify-util_0~git20160911-1_i386.deb Commandline utility to control OSRAM Lightify
lightning-l10n-ar_60.8.0-1~deb10u1_all.deb Arabic language package for lightning - Transitional package
lightning-l10n-ast_60.8.0-1~deb10u1_all.deb Asturian language package for lightning - Transitional package
lightning-l10n-be_60.8.0-1~deb10u1_all.deb Belarusian language package for lightning - Transitional package
lightning-l10n-bg_60.8.0-1~deb10u1_all.deb Bulgarian language package for lightning - Transitional package
lightning-l10n-br_60.8.0-1~deb10u1_all.deb Breton language package for lightning - Transitional package
lightning-l10n-ca_60.8.0-1~deb10u1_all.deb Catalan/Valencian language package for lightning - Transitional package
lightning-l10n-cs_60.8.0-1~deb10u1_all.deb Czech language package for lightning - Transitional package
lightning-l10n-cy_60.8.0-1~deb10u1_all.deb Welsh language package for lightning - Transitional package
lightning-l10n-da_60.8.0-1~deb10u1_all.deb Danish language package for lightning - Transitional package
lightning-l10n-de_60.8.0-1~deb10u1_all.deb German language package for lightning - Transitional package
lightning-l10n-dsb_60.8.0-1~deb10u1_all.deb Lower Sorbian language package for lightning - Transitional package
lightning-l10n-el_60.8.0-1~deb10u1_all.deb Greek language package for lightning - Transitional package
lightning-l10n-en-gb_60.8.0-1~deb10u1_all.deb British English language package for lightning - Transitional package
Advertisement
Advertisement